user2325154 user2325154 - 2 months ago 77
iOS Question

SwiftyJSON supported in Xcode 8 and iOS 10?

I recently upgraded my Swift iOS application from

Xcode7
to
Xcode8
and deployment platform from
iOS 9.3
to
iOS 10
. My application started breaking with errors like this:


Module file was created by an older version of the compiler: rebuild
'SwiftyJSON' and try again.


I Googled around and found this link on SO Module file was created by an older version of the compiler. Followed the instructions and removed the derived data and rebuilt using
carthage update --no-use-binaries
command. But the application still fails to build and complains about the error message mentioned above.

Is
SwiftyJSON
supported by
Xcode 8
and
iOS 10
?

Answer

At the time of writing this: no.

But there is a fork of the swift3-branch which is working with the GM seeds.

https://github.com/acegreen/SwiftyJSON